jQuery(document).ready(function($) {
    $('#grid-view').on('click', function() {
        $('body').removeClass('list-view').addClass('grid-view');
        setCookie('shop_view', 'grid', 7);
        $(this).addClass('active');
        $('#list-view').removeClass('active');
    });

    $('#list-view').on('click', function() {
        $('body').removeClass('grid-view').addClass('list-view');
        setCookie('shop_view', 'list', 7);
        $(this).addClass('active');
        $('#grid-view').removeClass('active');
    });

    function setCookie(cname, cvalue, exdays) {
        const d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        let expires = "expires=" + d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }

    function getCookie(cname) {
        let name = cname + "=";
        let ca = document.cookie.split(';');
        for(let i = 0; i < ca.length; i++) {
            let c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }

    if (getCookie('shop_view') == 'list') {
        $('body').addClass('list-view');
        $('#list-view').addClass('active');
        $('#grid-view').removeClass('active');
    } else {
        $('body').addClass('grid-view');
        $('#grid-view').addClass('active');
        $('#list-view').removeClass('active');
    }
});
